package com.swarmcast.fec.io;

/**
 * This event signifies that a complete block was decoded.
 */
public class BlockDecodedEvent extends FECIOEvent {

    int blockNum;

    public BlockDecodedEvent(Object source, int blockNum) {
	super(source);
	this.blockNum = blockNum;
    }

    public int getBlockNum() {
	return blockNum;
    }
}
	
