package com.swarmcast.fec.io;

public class PacketInfo {

    int blockNum, stripeNum;

    public PacketInfo(int blockNum, int stripeNum) {
        this.blockNum = blockNum;
        this.stripeNum = stripeNum;
    }

    public int getBlockNum() {
        return blockNum;
    }

    public int getStripeNum() {
        return stripeNum;
    }

    public int hashCode() {
        return blockNum*stripeNum;
    }

    public boolean equals(Object obj) {
        if (obj instanceof PacketInfo && 
            ((PacketInfo) obj).blockNum == blockNum &&
            ((PacketInfo) obj).stripeNum == stripeNum) {
            return true;
        }
        return false;
    }
}
